首页 >后端开发 >PHP7 > 正文

Yaf遇上PHP7.1会有什么火花?

转载2021-09-14 16:46:190275

安装 Yaf


本文假设你已经安装了 LNMP 开发环境(PHP 版本不低于7.0),直接从安装 Yaf 拓展开始叙述

因为 Yaf 是用 C 语言开发的 PHP 框架,也可以理解为是 PECL 拓展。所以跟平常遇到的用 PHP 开发的框架不太一样,例如 ThinkPHP5,Laravel 是直接下载可用或者通过 Composer 安装使用。Yaf 需要先安装拓展后才可以正常使用。

首先我们来介绍一下怎样安装 Yaf 拓展

安装

最新版本的 Yaf 最低支持 PHP7.0,所以我们需要保证当前 PHP 环境为 7.0 版本以上,支持 PHP5.X 的 Yaf 最高版本为2.3.4,笔者不再推荐使用老版本的 Yaf。既然 Yaf 是以高性能著称,PHP7 也是以高性能著称,为何不让强强联合?

1. 编译安装

编译安装首先需要通过 Git 下载源码
首先下载 Yaf 编译安装包,打开(https://github.com/laruence/y...

$ > wget -c https://github.com/laruence/yaf/archive/yaf-3.0.5.tar.gz
$ > tar xzvf yaf-3.0.5.tar.gz && cd yaf-3.0.5
$ > phpize
$ > ./configure
$ > make
$ > sudo make install

接下来需要手动修改php.ini文件,来加载yaf.so文件

2. pecl 安装

直接通过 pecl 命令来进行 Yaf 安装,安装成功后会自动配置php.ini文件,不需要手动加载yaf.so

$ > pecl install yaf

安装完成后使用命令来检查安装是否成功

$ > php --ri yaf

得到 Yaf 版本号和配置细节则说明安装成功,如下

$ > php --ri yaf

yaf

yaf support => enabled
Version => 3.0.5
Supports => http://pecl.php.net/package/yaf

Directive => Local Value => Master Value
yaf.library => no value => no value
yaf.action_prefer => Off => Off
yaf.lowcase_path => Off => Off
yaf.use_spl_autoload => Off => Off
yaf.forward_limit => 5 => 5
yaf.name_suffix => On => On
yaf.name_separator => no value => no value
yaf.st_compatible => Off => Off
yaf.environ => product => product
yaf.use_namespace => Off => Off

项目配置

使用 Yaf 脚手架工具来生成基础框架

1.进入到Yaf源码包中脚手架工具所在目录

$ > cd yaf-3.0.5/tools/cg/

2.用脚手架工具生成基础框架代码

$ > php yaf_cg Yaf_First

Yaf_First 为项目名称,读者可以自行定义

  1. 将生成的代码复制到生成环境目录

$ > cp -r ./output/Yaf_First/* /home/wwwroot/default/

至此就完成了 Yaf 基础框架代码的搭建,更多的详细内容(Yaf 接口开发、命令行开发、爬虫开发)
欢迎访问我的电子书《当 Yaf 遇上 PHP7.1》

推荐学习:《PHP7教程

以上就是Yaf遇上PHP7.1会有什么火花?的详细内容,更多请关注php中文网其它相关文章!

php中文网最新课程二维码

声明:本文转载于:segmentfault,如有侵犯,请联系admin@php.cn删除

  • 相关标签:php yaf php7 php7.1
  • 相关文章

    相关视频


    网友评论

    文明上网理性发言,请遵守 新闻评论服务协议

    我要评论
  • 专题推荐

    推荐视频教程
  • PHP开发APP接口项目实战PHP开发APP接口项目实战
  • PHP千万级秒杀项目实战课程PHP千万级秒杀项目实战课程
  • PHP搭建CMS系统实战课程PHP搭建CMS系统实战课程
  • PHP的速通之路PHP的速通之路
  • 视频教程分类